Zum Hauptinhalt springen
GET
/
subscription-items
/
{id}
/
estimated-amount
cURL
curl -X GET \
 /subscription-items/{id}/estimated-amount \
 --header "Authorization: Bearer <token>"
import requests

url = "https://coreapi.io/subscription-items/{id}/estimated-amount"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://coreapi.io/subscription-items/{id}/estimated-amount', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://coreapi.io/subscription-items/{id}/estimated-amount",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "netAmount": "10.00 €"
}

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Pfadparameter

id
string
erforderlich

SubscriptionItem identifier

Antwort

SubscriptionItem resource

netAmount
string

Total net amount for the next billing

Beispiel:

"10.00 €"